%global pkg_description %{expand:
Autocommand turns a function into a command-line program. It converts the function's parameter
signature into command-line arguments, and automatically runs the function if the module was
called as __main__. In effect, it lets your create a smart main function.}

Name:           python-autocommand
Version:        2.2.2
Release:        1
Summary:        A library to automatically generate and run simple argparse parsers from function signatures.
License:        LGPL-3.0-only
URL:            https://github.com/Lucretiel/autocommand
Source0:        https://github.com/Lucretiel/autocommand/archive/%{version}/autocommand-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools

BuildArch:      noarch

%description %{pkg_description}

%package -n python3-autocommand
Summary:        %{Summary}

%description -n python3-autocommand %{pkg_description}

%prep
%autosetup -p1 -n autocommand-%{version}

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
pytest

%files -n python3-autocommand
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Fri Apr 28 2023 yaoxin <yao_xin001@hoperun.com> - 2.2.2-1
- Package init
